Debian Bug report logs - #458650
bless: FTBFS: error CS0006: cannot find metadata file `Mono.Posix'

version graph

Package: bless; Maintainer for bless is Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>; Source for bless is src:bless.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 2 Jan 2008 10:51:02 UTC

Severity: serious

Found in version bless/0.5.2-1

Fixed in version bless/0.5.2-1.1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Emmanuel Fleury <emmanuel.fleury@labri.fr>:
Bug#458650; Package bless. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Emmanuel Fleury <emmanuel.fleury@labri.fr>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: bless: FTBFS: error CS0006: cannot find metadata file `Mono.Posix'
Date: Wed, 2 Jan 2008 11:44:35 +0100
Package: bless
version: 0.5.2-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080101 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:

 > make[3]: Entering directory `/build/user/bless-0.5.2/src'
 > sed -e 's,@blesslibdir\@,/usr/lib,g' bless-script > bless
 > sed -e 's,@blessdatadir\@,/usr/share,g' util/ConfigureDefines.cs.tmpl > util/ConfigureDefines.cs
 > /usr/bin/mono ../builder/bless-builder.exe Bless -nowarn:0169  -d:ENABLE_UNIX_SPECIFIC
 > >> Building module Bless.Util...
 > error CS0006: cannot find metadata file `Mono.Posix'
 > Compilation failed: 1 error(s), 0 warnings
 > Failed
 > make[3]: *** [bless.exe] Error 1
 > make[3]: Leaving directory `/build/user/bless-0.5.2/src'
 > make[2]: *** [all-recursive] Error 1
 > make[2]: Leaving directory `/build/user/bless-0.5.2/src'
 > make[1]: *** [all-recursive] Error 1
 > make[1]: Leaving directory `/build/user/bless-0.5.2'
 > make: *** [debian/stamp-makefile-build] Error 2
 > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2008/01/01

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 458650-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 458650-close@bugs.debian.org
Subject: Bug#458650: fixed in bless 0.5.2-1.1
Date: Sun, 13 Jan 2008 13:47:03 +0000
Source: bless
Source-Version: 0.5.2-1.1

We believe that the bug you reported is fixed in the latest version of
bless, which is due to be installed in the Debian FTP archive:

bless_0.5.2-1.1.diff.gz
  to pool/main/b/bless/bless_0.5.2-1.1.diff.gz
bless_0.5.2-1.1.dsc
  to pool/main/b/bless/bless_0.5.2-1.1.dsc
bless_0.5.2-1.1_all.deb
  to pool/main/b/bless/bless_0.5.2-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 458650@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated bless package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 14:33:00 +0100
Source: bless
Binary: bless
Architecture: source all
Version: 0.5.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Emmanuel Fleury <emmanuel.fleury@labri.fr>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 bless      - A full featured hexadecimal editor
Closes: 458650
Changes: 
 bless (0.5.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload from BSP Zurich.
   * Adding missing build-depends to libmono2.0-cil (Closes: #458650).
Files: 
 cfb9ab8c150688ae1e42dcdc819e89f3 759 editors optional bless_0.5.2-1.1.dsc
 495fcdcfc9a8a3719e10b88473e85de1 4114 editors optional bless_0.5.2-1.1.diff.gz
 45cff1713d7ee7ddfbf31017610e059d 490874 editors optional bless_0.5.2-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHihOm+C5cwEsrK54RAtsEAJ0YU66NAT3NS3FA/ycmAb+dnYX5lQCfeLHa
HBXXQQKSq+ztIXYO5McpgAc=
=9YpY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Feb 2008 07:33:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:20:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.